Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 882166 - make latex does not work out of the box
Summary: make latex does not work out of the box
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sphinx
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-30 10:20 UTC by Pierre-YvesChibon
Modified: 2015-07-31 07:57 UTC (History)
3 users (show)

Fixed In Version: python-sphinx-1.2.3-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-30 01:00:18 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1220339 0 unspecified CLOSED texlive dependencies are excessive 2021-02-22 00:41:40 UTC

Internal Links: 1220339

Description Pierre-YvesChibon 2012-11-30 10:20:05 UTC
Description of problem:
With the recent split of texlive sphinx is missing some texlive-* dependencies in order to be able to run `make latex` directly.


Version-Release number of selected component (if applicable):

$ rpm -q python-sphinx
python-sphinx-1.1.3-5.fc18.noarch


How reproducible:
always

Steps to Reproduce:
1. git clone http://git.fedorahosted.org/git/fedocal.git
2. cd fedocal/doc
3. make latex
4. make latexpdf
  
Actual results:
It crashes


Expected results:
latex file, then pdf generated

Additional info:
Basically, python-sphinx misses Requires in its spec to:
- texlive-multirow
- texlive-wrapfig
- texlive-threeparttable
- texlive-framed
- texlive-titlesec

Comment 1 Michel Lind 2013-03-01 01:43:40 UTC
Hi Pierre-Yves,

Apologies for the late reply. Would adding a python-sphinx-latex virtual subpackage, that pull in those dependencies, be sufficient? Let me know.

I'd rather not pull in all these when not needed for the basic workflow of generating HTML docs.

Comment 2 Pierre-YvesChibon 2013-04-29 14:40:18 UTC
The sub-package is fine for me, on the other side, the dependencies are not that big either so it wouldn't blow up the dependency chain, but it's your call :)

Thanks!

Comment 3 Pierre-YvesChibon 2013-05-02 13:04:35 UTC
I just had to reinstall them on a system where I was facing the problem, so for reference:
  texlive-framed, texlive-threeparttable, texlive-titlesec and texlive-wrapfig
adds up to:
Total download size: 105 k
Installed size: 156 k

Comment 4 Fedora End Of Life 2013-12-21 09:34:21 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2014-02-05 13:26:31 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Michel Lind 2014-02-07 09:43:32 UTC
Reopening, will fix this together with updating for Rawhide

Comment 7 Fedora Update System 2015-02-05 15:12:24 UTC
python-sphinx-1.2.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-sphinx-1.2.3-1.fc21

Comment 8 Fedora Update System 2015-02-05 15:12:29 UTC
python-sphinx-1.1.3-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-sphinx-1.1.3-12.fc20

Comment 9 Fedora Update System 2015-02-06 04:01:57 UTC
Package python-sphinx-1.2.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-sphinx-1.2.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1748/python-sphinx-1.2.3-1.fc21
then log in and leave karma (feedback).

Comment 10 Kamil Páral 2015-02-14 09:37:21 UTC
Michel, can you please respond to feedback provided in https://admin.fedoraproject.org/updates/FEDORA-2015-1748/python-sphinx-1.2.3-1.fc21 ? Thank you.

Comment 11 Jan Kurik 2015-07-15 14:55:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 12 Fedora Update System 2015-07-20 14:12:37 UTC
python-sphinx-1.2.3-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-sphinx-1.2.3-3.fc21

Comment 13 Fedora Update System 2015-07-20 14:12:56 UTC
python-sphinx-1.2.3-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-sphinx-1.2.3-3.fc22

Comment 14 Fedora Update System 2015-07-30 01:00:18 UTC
python-sphinx-1.2.3-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-07-31 07:57:46 UTC
python-sphinx-1.2.3-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.